# Packmangroup: Multimedia
# Packmanpackagename: dvdbackup
# Packman: Manfred Tremmel
# Packmandepends: libdvdread
# Packmanpackagedesc: <p>dvdbackup is a utility to make a 1:1 copy of a dvd</p>
# Packmanpackagedesc_de: <p>dvdbackup ist ein Hilfsprogramm zur Erstellung einer 1:1 Kopie einer dvd</p>

# norootforbuild

Name:           dvdbackup
Summary:        Dvdbackup is a dvd backup utility
Summary(de):    Dvdbackup ist ein dvd Backup Hilfsprogramm
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://sourceforge.net/projects/dvdbackup/
Version:        0.4.2
Release:        3.2
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-libdvdread4.diff
Patch1:         %{name}-%{version}-automake1_12.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  libdvdread-devel
BuildRequires:  autoconf automake libtool

%description
dvdbackup is a utility to make a 1:1 copy of a dvd

%description -l de
dvdbackup ist ein Hilfsprogramm zur Erstellung einer 1:1 Kopie einer dvd

%prep
%setup -n %{name}-%{version}
%patch0 -p1

# old automake does not know about AM_PROG_AR, new automake seems to need it :-(
%if 0%{?suse_version} > 1210
%patch1 -p1
%endif

%build
autoreconf -vfi
%configure

%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
%{__rm} -rf %{buildroot}%{_datadir}/doc

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/dvdbackup
%{_datadir}/man/man1/dvdbackup*
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/dvdbackup.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/dvdbackup.mo
%lang(en) %{_datadir}/locale/en*/LC_MESSAGES/dvdbackup.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/dvdbackup.mo
%lang(et) %{_datadir}/locale/et/LC_MESSAGES/dvdbackup.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/dvdbackup.mo
%lang(gl) %{_datadir}/locale/gl/LC_MESSAGES/dvdbackup.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/dvdbackup.mo
%lang(nb) %{_datadir}/locale/nb/LC_MESSAGES/dvdbackup.mo
%lang(pt) %{_datadir}/locale/pt/LC_MESSAGES/dvdbackup.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/dvdbackup.mo
%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/dvdbackup.mo
%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/dvdbackup.mo

%changelog
* Sun Jul 29 2012 Manfred.Tremmel@iiv.de
- update to 0.4.2
  New Features:
  * Added new command line option -p, --progress: Print progress report
  while copying from the DVD; thanks to flipflip for the patch.
  * Added new translations from Launchpad: Danish (da),
  English (United Kingdom) (en_GB), Estonian (et), Portuguese (pt),
  Slovak (sk), Turkish (tr)
  * New complete translation: English (United Kingdom) (en_GB),
  French (fr), Italian (it), Slovak (sk)
  Changes:
  * Convert DVD title to lower case, but let every word in the title start
  with an upper case letter and replace underscores with spaces.
  Bug fixes:
  * Print the correct vob file name in which the read error happens.
  Thanks to Kolja Nowak for the patch. (Closes: #585560, LP: #648752)
  * Fix DVD title detection on FreeBSD. Thanks to Emanuel Haupt.
  * Fix copying of fragmented chapters. Thanks to Christian Kuehnke for
  the patch. (LP: #648920)
* Tue Jun  5 2012 seife+obs@b1-systems.com
- fix build with autoconf 1.12 (Factory)
- change License: tag to make rpmlint happier
* Sat May 19 2012 seife+obs@b1-systems.com
- add autoconf & friends buildrequires to fix Factory build
* Thu Jan 21 2010 ludwig.nussel@gmx.de
- make it build with libdvdread4
- spec file cleanup
* Sun Sep  6 2009 Manfred.Tremmel@iiv.de
- update to 0.4.1
* Tue Mar  3 2009 Manfred.Tremmel@iiv.de
- update to 0.4
* Sun Nov 30 2008 Manfred.Tremmel@iiv.de
- update/switch to 0.2 from http://sourceforge.net/projects/dvdbackup
* Fri May  5 2006 Manfred.Tremmel@iiv.de
- update to 0.3
* Sat Apr 29 2006 Manfred.Tremmel@iiv.de
- update to 0.2
* Wed Jan 25 2006 Manfred.Tremmel@iiv.de
- added a patch to make it run with libdvdread 0.9.5
* Sun Jun 26 2005 Manfred.Tremmel@iiv.de
- initial spec file for Packman
